package _04_多态运行特点.demo1;

public class Test {
    public static void main(String[] args) {
        // 多态创建对象
        Fu f = new Zi();
        // 利用多态调用成员变量和成员方法
        /**
         * 调用成员变量: 编译看左边 , 运行看的左边
         * 调用成员方法: 编译看左边, 运行看右边
         */
        System.out.println(f.name);    // fu的name
        f.eat();                       // 子当中eat 方法
    }
}
